Wallet policies · Audit
Boya API
Bills · Manage
Bills · Payments
Bills · Approval workflows
Bills · Budgets & setup
Bills · Attachments
payments
approvals
fx
Expenses · Retrieve
Expenses · Review & approvals
Expenses · Reports
Expenses · Exports
Cards · Manage
Cards · Controls
Cards · Single-use
Cards · Physical cards
Cards · Authorization
subscriptions
tags
transactions
accounts
categories
taxes
vendors
customers
employees
teams
Investments · Portfolio & accounts
Investments · Fund movements
Investments · Access & permissions
business-policies
Wallet policies · Policies
Wallet policies · Permissions
Wallet policies · Access checks
roles
audit-trail
🔒 Private label — contact sales. Requires a private-label entitlement on your API client.
Query audit logs with filters
Security
oauth2ClientCredentials(Required scopes: wallet-policies:write)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/wallet-policies/audit/query
- Productionhttps://api.boyahq.com/v2/wallet-policies/audit/query
- Sandboxhttps://sandbox.api.boyahq.com/v2/wallet-policies/audit/query
curl -i -X POST \
https://developer.boyahq.com/_mock/v2/openapi/wallet-policies/audit/query \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'business_id: string' \
-d '{
"search": "string",
"policy_id": "string",
"wallet_id": "string",
"performed_by": "string",
"action": "GRANTED",
"from_date": "string",
"to_date": "string",
"limit": 50,
"offset": 0
}'Response
{ "docs": [ { … } ], "total": 0, "page": 0, "limit": 0, "pages": 0 }